> ## Documentation Index
> Fetch the complete documentation index at: https://mixpanel-edb78807-fix-callout.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause Pipeline

> For a given pipeline name, this request pauses the pipeline which stops the ongoing jobs and prevents any future jobs to be scheduled for the pipeline



## OpenAPI

````yaml openapi/data-pipelines.openapi.yaml POST /nessie/pipeline/pause
openapi: 3.0.2
info:
  title: Data Pipelines API
  description: Create and manage a continious pipeline with an external warehouse.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: 1.0.0
  contact:
    url: https://mixpanel.com/get-support
servers:
  - url: https://{server}.mixpanel.com/api/2.0
    description: Mixpanel's data export server.
    variables:
      server:
        default: data
        enum:
          - data
          - data-eu
          - data-in
        description: |
          The server location to be used:
            * `data` - The default (US) servers used for most projects
            * `data-eu` - EU servers if you are enrolled in EU Data Residency
            * `data-in` - India servers if you are enrolled in India Data Residency
security:
  - ServiceAccount: []
  - ProjectSecret: []
tags:
  - name: Create Pipelines
    description: Operations to add schemas to a project
  - name: Delete Pipelines
    description: Remove a pipeline from a project
  - name: Edit Pipelines
    description: Edit the params for a pipeline from a project
  - name: Pause Pipelines
    description: Pause a running pipeline
  - name: Resume Pipelines
    description: Resume a paused pipeline
  - name: Retrieve Pipelines
    description: Get information about Pipelines
paths:
  /nessie/pipeline/pause:
    post:
      tags:
        - Pause Pipelines
      summary: Pause Pipeline
      description: >-
        For a given pipeline name, this request pauses the pipeline which stops
        the ongoing jobs and prevents any future jobs to be scheduled for the
        pipeline
      operationId: pause-warehouse-pipeline
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name that uniquely identifies the pipeline.
                project_id:
                  $ref: '#/components/schemas/ProjectId'
              required:
                - name
      responses:
        '200':
          description: Success
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    ProjectId:
      type: number
      description: >-
        Your project id (must be specified when using service account based
        authentication)
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        status:
          type: string
          enum:
            - error
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ServiceAccount:
      type: http
      scheme: basic
      description: Service Account
    ProjectSecret:
      type: http
      scheme: basic
      description: Project Secret

````